<?php
require_once('clases/xajax/xajax_core/xajax.inc.php');
$xajax = new xajax();
//$xajax->setFlag('debug',true); 
$xajax->configure('javascript URI', 'clases/xajax/');
function xExportar($varForm) {
	$varPro = (isset($varForm["pcod"]) && $varForm["pcod"]<>'')? $varForm["pcod"]:"NULL";
	$varIni = (isset($varForm["fini"]) && $varForm["fini"]<>'')? "'".FechaMySql($varForm["fini"])."'":"NULL";
	$varFin = (isset($varForm["ffin"]) && $varForm["ffin"]<>'')? "'".FechaMySql($varForm["ffin"])."'":"NULL";
	$varUsr = (isset($_SESSION["_CUSE"]))?$_SESSION["_CUSE"]:1;
	$varFie = (isset($varField) && $varField<>'')? "'$varField'":"NULL";
	$varOrd = (isset($varOrder) && $varOrder<>'')? "'$varOrder'":"NULL";
	
	$sql = "call spQuery_CXP_Pagos($varPro, $varIni, $varFin, $varFie, $varOrd);";
	$_SESSION["expor_sql_1"] =  $sql;
	$_SESSION["expor_sql_2"] = NULL;
	$varTitulo = "LISTADO DE PAGOS REALIZADOS";	
	$objResponse=new xajaxResponse();
    $objResponse->redirect("export.php?page=$varTitulo");
    return $objResponse;
	}

function xBuscar($varForm, $varField, $varOrder) {
	$var = VarServer("MYSQLI");
	$obj = new clsCXPEstadoCuenta($var[0],$var[1],$var[2],$var[3],$var[4]);	
	$varTabla = $obj->GridDatos($varForm, $varField, $varOrder);
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divDatos", "innerHTML", utf8_encode($varTabla));
	$varMarcar="ResaltarSeleccionado()";
	$respuestaXajax->script($varMarcar); 
	return $respuestaXajax;
	}
	
function xRegresar() {
	$var = VarServer("MYSQLI");
	$obj = new clsCXPEstadoCuenta($var[0],$var[1],$var[2],$var[3],$var[4]);
	$varTabla.= $obj->FormuBusqueda();
	$varTabla.= "<div id=\"divDatos\">";
	//$varTabla.= $obj->GridDatos();		
	$varTabla.= "</div>";
	$respuestaXajax = new xajaxResponse();
	$respuestaXajax->assign("divForm", "style.display", "block");
	$respuestaXajax->assign("divFormPago", "innerHTML", "");
	return $respuestaXajax;
	}
		
$xajax->register(XAJAX_FUNCTION, 'seleccionar_proveedor_cxp');
$xajax->register(XAJAX_FUNCTION, 'xBuscar');
$xajax->register(XAJAX_FUNCTION, 'xExportar');


$xajax->processRequest();
$xajax->printJavascript("clases/xajax");
?>
<script language="javascript">		
	function xBuscarJS(varField, varOrder) {
		if (xajax.$("pcod").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE ELEGIR UN PROVEEDOR");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else if (xajax.$("fini").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA INICIAL");  
			xajax.$("fini").focus();
			return (false); 
			}
		else if (xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE SELECCIONAR UNA FECHA FINAL");  
			xajax.$("ffin").focus();
			return (false); 
			}
		else {
			xajax_xBuscar(xajax.getFormValues('form'),varField, varOrder);		
			}
		}
	function xExportarJS() {
		xajax_xExportar(xajax.getFormValues('form'));		
		}

	function xImprimirJS() {
		var varPro = xajax.$("pcod").value;
		var varIni = xajax.$("fini").value;
		var varFin = xajax.$("ffin").value;
		if (xajax.$("pcod").value=="" && xajax.$("fini").value=="" && xajax.$("ffin").value=="") {
			alert("ERROR AL PROCESAR DATOS...!!!!!\nDEBE UTILIZAR AL MENOS UN PARAMETRO DE BUSQUEDA");  
			xajax.$("pcod").focus();
			return (false); 
			}
		else {
			var Ruta = 'print/print_cxp_estado_cuenta.php?pro='+varPro+'&ini='+varIni+'&fin='+varFin;
			testwindow= window.open (Ruta, "print_cxp_estado_cuenta", "location=no,status=no,toolbar=no,scrollbars=1,width=1100,height=500");
			}	
		}
</script>
<?php

function MyTable($obj, $Titulo, $Opcion, $Valor) {
	echo "<div id=\"divForm\">";
	echo $obj->FormuBusqueda();
	echo "<div id=\"divDatos\">";
	//echo $obj->GridDatos();		
	echo "</div>";
	echo "</div>";
	echo "<div id=\"divFormPago\">";
	echo "</div>";
	}
?>